package com.diagbot.client.hystrix;

import java.util.List;

import javax.validation.Valid;

import org.springframework.stereotype.Component;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SysSetInfoDTO;
import com.diagbot.vo.HospitalSetVO;

import lombok.extern.slf4j.Slf4j;

/**
 * @Description: 调用信息对接层服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class TranServiceHystrix implements TranServiceClient {

	@Override
	public RespDTO<List<SysSetInfoDTO>> getSysSetInfoDatas(@Valid HospitalSetVO hospitalSetVO) {
		log.error("【hystrix】调用{}异常", "getSysSetInfoDatas");
		return null;
	}
}